import Vue from "vue";
import VueI18n from "vue-i18n";

Vue.use(VueI18n);

const messages = {


    /* English language
     *****************/
    en: {
        app_name: 'CinemaRex',
        nav: {
            logout: "Logout"
        },
        home: {
            // Menu
            my_list: "My List",
            home: "DISCOVER",
            play: "Play",
            movies: "MOVIES",
            series: "SHOWS",
            kids: "KIDS",
            tv: "LIVE TV",
            browser: 'Browser',
            collection: 'MY COLLLECTION',
            // Trending
            trending: "Trending",
            year: "Year",
            rating: "Rating",
            likes: "Likes",
            recenlty_watched: 'Recently watched',
            // Genre
            genre: "Genre",
            all: "All",
            action: "Action",
            adventure: "Adventure",
            animation: "Animation",
            biography: "Biography",
            comedy: "Comedy",
            crime: "Crime",
            documentary: "Documentary",
            drama: "Drama",
            family: "Family",
            fantasy: "Fantasy",
            history: "History",
            horror: "Horror",
            music: "Music",
            mystery: "Mystery",
            romance: "Romance",
            sci_fi: "Sci-Fi",
            sport: "Sport",
            thriller: "Thriller",
            war: "War",
            sorry_no_result: "SORRY NO RESULT WERE FOUND",
            search: "Search",
            filmography: "filmography"
        },
        setting: {
            user_setting: "User Settings",
            biling: "Billing",
            app_setting: "App setting",
            language: "Language",
            profile: "Profile",
            security: "Security",
            update_payment: "Update payment",
            billing_details: "Billing details",
            change_plan: "Change plan",
            viewing_history: "Viewing history",
            description: "Description",
            next_plan: "Next months plan",
            start_period: "Start period",
            end_period: "End period",
            total: "Total",
            update_profile_picture: "Update Profile Picture",
            name: "Name",
            mail: "E-mail",
            successful_update: "Successful update",
            update: "Update",
            current: "Current",
            password: "Password",
            password_confirm: "Re-enter password ",
            credit_card_or_debit: "Credit card or debit",
            cancel_your_memebrship: "Cancel your memebrship",
            resume_your_memebrship: "Resume your memebrship",
            cancel_memebrship: "Cancel memebrship",
            resume_memebrship: "Resume memebrship",
            cancel_note: "Cancellation will be effective at the end of your current billing",
            change_streaming_plan: "Change Streaming Plan",
            monthly: "Monthly",
            first_week_free: "First week free",
            annual: "Annual",
            mo: "mo",
            y: "y",
            m_price: "15.99",
            y_price: "59.99",
            select_language: "Select language",
            adjust_subtitles: "Adjust captions",
            email_already: "Email has already been taken",
            watch_date: 'Date of view',

            support: "Support Inbox",
            submit_request: "Submit Request",
            submit: 'Submit',
            cancel: 'Cancel',
            open: 'Open',
            close: 'Close',
            status: 'Status',
            subject: 'Subject',
            date: 'Date',
            support_desc: 'Provide a detailed description',
            support_tell: 'Tell us what your enquiry is about',
            reply: 'Send Reply',

            device_activity: 'Device Activity',

            security_message_header: "Please Re-enter Your Password",
            security_message_body: "For your security, you must re-enter your password to continue",
            font_size: "Font Size",
            font_weight: "Font Weight",
            font_color: "Font color",
            font_backgrond: "Background color"

        },

        register: {
            login: "Login",
            signup: "Signup",
            forget_password: "Forget Password ?",
            create_accont: "Don't have an account?",
            agree_role: "By clicking on Sign up, you agree to",
            and: "and",
            stepone: "Just one step!",
            steptwo: "Just two more steps and you're done!",
            payment: "Payment",
            payment_message: "Set up your payment",
            support: "Support",
            choose_plan: "Choose Plan",
            change_plan: "Change Plan",
            choose_plan_message: "Choose a plan that's right for you",
            cancel_anytime: "No commitments, Cancel online at anytime",
            day_free: "Day free",
            loading: "Loading",
            password_reset: "Password Reset",
            password_message: "Please enter your email address, We'll send you an email with a link to reset your password",
            password_help: "If you still need help, contact",
            start_membership: "START MEMBERSHIP",
            finish: "Finish",
            continue: "Continue",
            welcome_to: "Welcome To",
            your: "Your ",
            message_one:   "membership, which begins with a free trial",
            cancel_before: "Cancel anytime before",
            message_two: "and will not be charged, to cancel go to your account setting  and Cancel Membership",
            account_details: "Your account details",
            payment_info: "Payment Information",
            discover: "Discover",
            privacy: "Privacy",
            aboutus: "About us",
            contactus: "Contact us"

        },

        show: {
            summary: "Summary",
            edit: "Edit",
            delete: "Delete",
            season: "Season ",
            episode: "Episode",
            cast: "Cast",
            trailer: 'Trailer',
            similar: 'Suggestions',
            like: 'Like',
            no_series: 'Coming soon',
            my_collection: 'My Collection',
            soon: "SOON",

        },
        footer: {
            privacy: "Privacy Policy",
            terms: "Terms Of Service",
            contactus: "Contact Us",
            aboutus: "About Us",
            phone_number: "Phone number",
            first_name: "First name",
            last_name: "Last name",
            email: "E-mail",
            message: "Message",
            address: "address",
            tryanothertime: "Try in another time",
            success_send: "Successful send, we will contact you soon"
        },
        report: {
            what_happening: "What's Happening",
            labeling_problem: "Labeling Problem",
            video_problem: "Video Problem",
            sound_problem: "Sound Problem",
            caption_problem: "Captions Problem",
            more_details: "More Details ?",
            send: "SEND",
        }
    },


    /* France language
     *****************/
    fr: {
        app_name: 'CinemaRex',

        nav: {
            logout: "Déconnexion"
        },
        home: {
            // Menu
            my_list: "Ma liste",
            home: "Découvrir",
            play: "Jouer",
            movies: "Films",
            series: "Série",
            kids: "Enfants",
            tv: "Tv",
            browser: 'Navigateur',
            collection: 'Collecte',
            // Trending
            trending: "Tendance",
            year: "Année",
            rating: "Évaluation",
            likes: "Aime",
            recenlty_watched: 'Recently watched',
            // Genre
            genre: "Genre", // new
            all: "Tous",
            action: "Action",
            adventure: "Aventure",
            animation: "Animation",
            biography: "Biographie",
            comedy: "Comédie",
            crime: "Crime",
            documentary: "Documentaire",
            drama: "Drame",
            family: "Famille",
            fantasy: "Fantasy",
            history: "Histoire",
            horror: "Horreur",
            music: "Musique",
            mystery: "Mystère",
            romance: "Romance",
            sci_fi: "Sci-Fi",
            sport: "Sport",
            thriller: "Thriller",
            war: "Guerre",
            sorry_no_result: "Désolé, aucun résultat n'a été trouvé",
            search: "Chercher"
        },
        setting: {
            // Setting
            user_setting: "Paramètres utilisateur",
            biling: "Facturation",
            app_setting: "Paramètre d'application",
            language: "La langue",
            profile: "Profil",
            security: "Sécurité",
            update_payment: "Mettre à jour",
            billing_details: "Facturation détails",
            change_plan: "Changer de plan",
            viewing_history: "Affichage de l'historique",
            description: "La description",
            next_plan: "Plan des prochains mois",
            start_period: "Période de démarrage",
            end_period: "Période de fin",
            total: "Total",
            update_profile_picture: "Mettre à jour une photo",
            name: "prénom",
            mail: "Messagerie",
            successful_update: "Mise à jour réussie",
            update: 'Mettre à jour',
            current: "Actuel",
            password: "Mot de passe",
            password_confirm: "Confirmer le mot de passe",
            credit_card_or_debit: "Carte de crédit ou débit",
            cancel_your_memebrship: "Annulez votre memebrship",
            resume_your_memebrship: "Reprendre votre memebrship",
            cancel_memebrship: "Annuler memebrship",
            resume_memebrship: "Reprendre memebrship",
            cancel_note: "L 'annulation sera effective à la fin de votre facturation actuelle",
            change_streaming_plan: "Modifier le plan de streaming",
            monthly: "Mensuel",
            first_week_free: "Première semaine gratuite",
            annual: "Annuel",
            mo: "m",
            y: "a",
            m_price: "15.99",
            y_price: "59.99",
            select_language: "Choisir la langue",
            adjust_subtitles: "Ajuster les légendes",
            email_already: "Cet e-mail a déjà été pris",
            watch_date: 'Date de vue',

            support: "Support Inbox",
            submit_request: "Envoyer la demande",
            submit: 'Soumettre',
            cancel: 'Annuler',
            open: 'Ouvrir',
            close: 'Fermer',
            status: 'Statut',
            subject: 'Assujettir',
            date: 'Rendez-vous amoureux',
            support_desc: 'Fournir une description détaillée',
            support_tell: 'Dites-nous ce que votre demande concerne',
            reply: 'Envoyer une réponse',

            device_activity: 'Activité du périphérique',

            security_message_header: "Veuillez re-taper votre mot de passe",
            security_message_body: "Pour votre sécurité, vous devez ressaisir votre mot de passe pour continuer",
            font_size: "Taille de police",
            font_weight: "Poids de la police",
            font_color: "Couleur de la police",
            font_backgrond: "Couleur de fond"

        },


        register: {
            login: "S'identifier",
            signup: "S'inscrire",
            forget_password: "Mot de passe oublié ?",
            create_accont: "Vous n'avez pas de compte?",
            agree_role: "En cliquant sur S'inscrire, vous acceptez de",
            and: "et",
            stepone: "Juste un pas!",
            steptwo: "Juste deux étapes de plus et vous avez terminé!",
            payment: "Paiement",
            payment_message: "Configurez votre paiement",
            support: "Soutien",
            choose_plan: "Choisir plan",
            change_plan: "Plan de changement",
            choose_plan_message: "Choisissez un plan qui vous convient",
            cancel_anytime: "Aucun engagement, Annuler en ligne à tout moment",
            day_free: "Jour libre",
            loading: "Chargement",
            password_reset: "Réinitialiser le mot de passe",
            password_message: "Veuillez entrer votre adresse e-mail, nous vous enverrons un e-mail avec un lien pour réinitialiser votre mot de passe",
            password_help: "Si vous avez toujours besoin d'aide, contactez",
            start_membership: "START MEMBERSHIP",
            finish: "terminer",
            continue: "Continuer",
            welcome_to: "Bienvenue à",
            your: "Votre ",
            message_one:   "adhésion, qui commence par un essai gratuit",
            cancel_before: "Annuler à tout moment avant",
            message_two: "et ne sera pas facturé, pour annuler aller à vos paramètres de compte et annuler l'adhésion",
            account_details: "Your account details",
            payment_info: "Informations de paiement",
            discover: "Découvrir",
            privacy: "Intimité",
            aboutus: "À propos de nous",
            contactus: "Contactez nous"

        },

        show: {
            summary: "Résumé",
            edit: "Modifier",
            delete: "Supprimer",
            season: "Saison ",
            cast: "Fonte",
            trailer: 'Bande annonce',
            similar: 'Similaire',
            like: 'Comme',
            no_series: 'Arrive bientôt',
            my_collection: 'Ma collection',
            soon: "bientôt",

        },
        footer: {
            privacy: "Emplois",
            terms: "Conditions d’utilisation",
            contactus: "Contactez nous",
            aboutus: "À propos de nous",
            phone_number: 'Numéro de téléphon',
            first_name: "Prénom",
            last_name: "Nom de famille",
            email: "E-mail",
            message: "Message",
            address: "Adresse",
            tryanothertime: "Essayez dans un autre temps",
            success_send: "Envoi réussi, nous vous contacterons bientôt"
        },
        report: {
            what_happening: " Que ce passe-t-il",
            labeling_problem: "Problème d 'étiquetage",
            video_problem: "Problème vidéo",
            sound_problem: "Problème sonor",
            caption_problem: "Problème de légendes",
            more_details: "Plus de détails ?",
            send: "ENVOYER",
        }
    },


    /* Turkish Language
     *****************/
    tr: {
        app_name: 'CinemaRex',

        nav: {
            logout: "Çıkış Yap"
        },
        home: {
            // Menu
            my_list: "Listem",
            home: "Keşfedin",
            play: "Oyun",
            movies: "filmler",
            series: "Dizi",
            kids: "Çocuklar",
            tv: "Canlı tv",
            browser: 'Tarayıcı',
            collection: 'Toplamak',
            // Trending
            trending: "Trend",
            year: "Yıl",
            rating: "Değerlendirme",
            likes: "Seviyor",
            recenlty_watched: 'Geçenlerde izlenen',
            // Genre
            genre: "Tür",
            all: "Herşey",
            action: "Aksiyon",
            adventure: "Macera",
            animation: "Animasyon",
            biography: "biyografi",
            comedy: "Komedi",
            crime: "Suç",
            documentary: "Belgesel",
            drama: "drama",
            family: "Aile",
            fantasy: "fantezi",
            history: "tarih",
            horror: "Korku",
            music: "Müzik",
            mystery: "gizem",
            romance: "Romantik",
            sci_fi: "Bilimkurgu",
            sport: "Spor",
            thriller: "Gerilim",
            war: "Savaş",
            sorry_no_result: 'Üzgünüm sonuç bulunamadı',
            search: "Arama",
            filmography: "Filmographie"
        },
        setting: {
            user_setting: "Kullanıcı ayarları",
            biling: "Fatura",
            app_setting: "Uygulama ayar",
            language: "Dil",
            profile: "Profil",
            security: "Güvenlik",
            update_payment: "Ödemeyi güncelle",
            billing_details: "Fatura Detayları",
            change_plan: "Plan değiştir",
            viewing_history: "Geçmiş görüntüleme",
            description: "Açıklama",
            next_plan: "Gelecek ay planı",
            start_period: "Başlangıç periyodu",
            end_period: "Bitiş dönemi",
            total: "Genel Toplam",
            update_profile_picture: "Profili Resim Güncelle",
            name: "Isim",
            mail: "E-mail",
            successful_update: "Başarıyla güncelleme",
            update: "Güncelleştirme",
            current: "şimdiki",
            password: "Parola",
            password_confirm: "Şifre onaylama",
            credit_card_or_debit: "Kredi kartı veya borç",
            cancel_your_memebrship: "Memebrship'ini iptal et",
            resume_your_memebrship: "Memebrship'inize devam edin",
            cancel_memebrship: "Memebrship'i iptal et",
            resume_memebrship: "Memebrship'e devam et",
            cancel_note: "İptal etme, geçerli fatura tutarınızın sonunda etkili olur",
            change_streaming_plan: "Akış Planını Değiştir",
            monthly: "Aylık",
            first_week_free: "İlk hafta ücretsiz",
            annual: "Yıllık",
            mo: "a",
            y: "y",
            m_price: "15.99",
            y_price: "59.99",
            select_language: "Dil Seçin",
            adjust_subtitles: "Altyazı ayarlama", //new
            email_already: "E-posta zaten alınmış", // new
            watch_date: "Görüş tarihi",
            support: "Destek Gelen Kutusu",
            submit_request: 'İstek gönderin',
            submit: 'Gönder',
            cancel: 'İptal etmek',
            open: 'Açık',
            close: 'Kapat',
            status: 'durum',
            subject: 'konu',
            date: 'tarih',
            support_desc: 'Detaylı bir açıklama sağlayın',
            support_tell: 'Soruşturmanın ne olduğunu söyle',
            reply: 'Cevap Gönder',
            device_activity: 'Cihaz Etkinliği',
            security_message_header: "Lütfen şifrenizi tekrar girin",
            security_message_body: "Güvenliğiniz için devam etmek için şifrenizi tekrar girmelisiniz",
            font_size: "Yazı Boyutu",
            font_weight: "Yazı Tipi Ağırlığı",
            font_color: "Yazı rengi",
            font_backgrond: "Arka plan rengi"
        },

        register: {
            login: "Oturum aç",
            signup: "Kaydol",
            forget_password: "Şifreyi unut ?",
            create_accont: "Hesabın yok mu?",
            agree_role: "Kaydol'a tıklayarak kabul edersiniz",
            and: "ve",
            stepone: "Sadece bir adım!",
            steptwo: "Sadece iki adım daha ve bitti!",
            payment: "Ödeme",
            payment_message: "Ödemenizi ayarlayın",
            support: "Destek",
            choose_plan: "Plan Seç",
            change_plan: "Plan değiştir",
            choose_plan_message: "Sizin için uygun bir plan seçin",
            cancel_anytime: "Hiçbir taahhütte bulunma",
            day_free: "Gün serbest",
            loading: "Yükleniyor",
            password_reset: "Parola sıfırlama",
            password_message: "Lütfen e-posta adresinizi girin, şifrenizi sıfırlamak için size bir bağlantı içeren bir e-posta göndereceğiz",
            password_help: "Hala yardıma ihtiyacınız varsa,",
            start_membership: "START ÜYELİK",
            finish: "Bitiş",
            continue: "Devam et",
            welcome_to: "Hoşgeldiniz",
            your: "Sizin",
            message_one:   "ücretsiz deneme ile başlayan üyelik",
            cancel_before: "Önceden iptal et",
            message_two: "ve iptal edilmeyecek, iptal etmek için hesap ayarınıza gidiniz ve Üyeliğinizi iptal ediniz.",
            account_details: "Hesabınızın detayları",
            payment_info: "ödeme bilgileri",
            discover: "keşfedin",
            privacy: "Gizlilik",
            aboutus: "Hakkımızda",
            contactus: "Bizimle iletişime geçin"
        },

        show: {
            summary: "özet",
            edit: "Düzenleme",
            delete: "silmek",
            season: "Sezon ",
            cast: "Oyuncular",
            trailer: 'Tanıtım videosu',
            similar: 'Benzer',
            like: 'Sevmek',
            no_series: 'Çok yakında',
            my_collection: 'Benim koleksiyonum',
            soon: "yakında",

        },
        footer: {
            privacy: "Gizlilik",
            terms: "Şartlar ve kullanım",
            contactus: "Bizimle iletişime geçin",
            phone_number: 'Telefon numarası',
            first_name: "İsim",
            last_name: "Soyadı",
            email: "E-mail",
            message: "Mesaj",
            address: "adres",
            tryanothertime: "Başka zaman deneyin",
            success_send: "Başarılı gönder, yakında sizinle iletişim kuracağız."
        },
        report: {
            what_happening: "Ne oluyor",
            labeling_problem: "Etiketleme Problemi",
            video_problem: "Video Problemi",
            sound_problem: "Ses sorunu",
            caption_problem: "Altyazı Sorunları",
            more_details: "Daha fazla detay ?",
            send: "GÖNDER",

        }
    },


    /* Germany language
     *****************/
    de: {
        app_name: 'CinemaRex',

        nav: {
            logout: "Ausloggen"
        },
        home: {
            // Menu
            my_list: "Meine Liste",
            home: "Entdecken",
            play: "Spielen",
            movies: "Filme",
            series: "Serie",
            kids: "Kinder",
            tv: "Live Fernsehen",
            browser: 'Browser',
            collection: 'Sammlung',
            // Trending
            trending: "Trend",
            year: "Jahr",
            rating: "Bewertung",
            likes: "Likes",
            recenlty_watched: 'Zuletzt angeschaut',
            // Genre
            genre: "Genre",
            all: "Alle",
            action: "Aktion",
            adventure: "Abenteuer",
            animation: "Animation",
            biography: "Biografie",
            comedy: "Komödie",
            crime: "Kriminalität",
            documentary: "Dokumentarfilm",
            drama: "Drama",
            family: "Familie",
            fantasy: "Fantasie",
            history: "Geschichte",
            horror: "Horror",
            music: "Musik",
            mystery: "Geheimnis",
            romance: "Romantik",
            sci_fi: "Science-Fiction",
            sport: "Sport",
            thriller: "Krimi",
            war: "Krieg",
            sorry_no_result: "Leider wurde kein Ergebnis gefunden",
            search: "Suche",
            filmography: "Filmographie"
        },
        setting: {
            user_setting: "Benutzereinstellungen",
            biling: "Fakturierung",
            app_setting: "App-Einstellung",
            language: "Sprache",
            profile: "Profil",
            security: "Sicherheit",
            update_payment: "Zahlung aktualisieren",
            billing_details: "Rechnungsdetails",
            change_plan: "Änderungsplan",
            viewing_history: "Verlauf anzeigen",
            description: "Beschreibung",
            next_plan: "Plan für nächsten Monat",
            start_period: "Startzeitraum",
            end_period: "Endperiode",
            total: "Gesamt",
            update_profile_picture: "Profilbild aktualisieren",
            name: "Name",
            mail: "Email",
            successful_update: "Erfolgreiches Update",
            update: 'Aktualisieren',
            current: "Strom",
            password: "Passwort",
            password_confirm: "Passwortbestätigung",
            credit_card_or_debit: "Kreditkarte oder Lastschrift",
            cancel_your_memebrship: "Kündigen Sie Ihre Mitgliedschaft",
            resume_your_memebrship: "Nimm dein memebrship wieder auf",
            cancel_memebrship: "Lösche memebrship",
            resume_memebrship: "Lebenslauf wieder aufnehmen",
            cancel_note: "Die Stornierung wird am Ende der aktuellen Abrechnung wirksam.",
            change_streaming_plan: "Streamingplan ändern",
            monthly: "Monatlich",
            first_week_free: "Erste Woche kostenlos",
            annual: "Jährlich",
            mo: "Mo",
            y: "J",
            m_price: "15.99",
            y_price: "59.99",
            select_language: "Sprache auswählen",
            adjust_subtitles: "Untertitel anpassen",
            email_already: "E-Mail wurde bereits vergeben",
            watch_date: 'Datum der Ansicht',

            support: "Support-Posteingangu",
            submit_request: 'Anfrage einreichen',
            submit: 'einreichen',
            cancel: 'Stornieren',
            open: 'Öffnen',
            close: 'Schließen',
            status: 'Status',
            subject: 'Gegenstand',
            date: 'Datum',
            support_desc: 'Geben Sie eine detaillierte Beschreibung an',
            support_tell: 'Sagen Sie uns, was Ihre Anfrage betrifft',
            reply: 'Antwort senden',
            device_activity: 'Geräteaktivität',
            security_message_header: "Bitte geben Sie Ihr Passwort erneut ein",
            security_message_body: "Zu Ihrer Sicherheit müssen Sie Ihr Passwort erneut eingeben, um fortzufahren",
            font_size: "Schriftgröße",
            font_weight: "Schriftgewicht",
            font_color: "Schriftfarbe",
            font_backgrond: "Hintergrundfarbe"
        },


        register: {
            login: "Anmeldung",
            signup: "Anmelden",
            forget_password: "Passwort vergessen ?",
            create_accont: "Hast du kein Konto?",
            agree_role: "Indem Sie auf Registrieren klicken, stimmen Sie zu",
            and: "und",
            stepone: "Nur ein Schritt!",
            steptwo: "Nur noch zwei Schritte und fertig!",
            payment: "Zahlung",
            payment_message: "Richten Sie Ihre Zahlung ein",
            support: "Unterstützung",
            choose_plan: "Wählen Sie Planen",
            change_plan: "Plan ändern",
            choose_plan_message: "Wählen Sie einen Plan, der zu Ihnen passt",
            cancel_anytime: "Keine Verpflichtungen, Online jederzeit abbrechen",
            day_free: "Tag frei",
            loading: "Wird geladen",
            password_reset: "Passwort zurücksetzen",
            password_message: "Bitte geben Sie Ihre E-Mail-Adresse ein. Wir senden Ihnen eine E-Mail mit einem Link, um Ihr Passwort zurückzusetzen",
            password_help: "Wenn Sie noch Hilfe benötigen, wenden Sie sich an",
            start_membership: "START MITGLIEDSCHAFT",
            finish: "Fertig",
            continue: "Fortsetzen",
            welcome_to: "Willkommen zu",
            your: "Ihre",
            message_one:   "Mitgliedschaft, die mit einem kostenlosen Test beginnt",
            cancel_before: "Abbrechen jederzeit vor",
            message_two: "und wird nicht belastet, um zu stornieren, gehen Sie zu Ihrer Kontoeinstellung und kündigen Sie die Mitgliedschaft",
            account_details: "Deine Benutzerkontendetails",
            payment_info: "Zahlungsinformationen",
            discover: "Entdecken",
            privacy: "Privatsphäre",
            aboutus: "Über uns",
            contactus: "Kontaktiere uns"
        },

        show: {
            summary: "Zusammenfassung",
            edit: "Bearbeiten",
            delete: "Löschen",
            season: "Jahreszeit ",
            cast: "Besetzung",
            trailer: "Anhänger",
            similar: "Ähnlich",
            like: "Mögen",
            no_series: "Demnächst",
            my_collection: "Meine Sammlung",
            soon: "bald",

        },
        footer: {

            privacy: "Privatsphäre",
            terms: "Begriffe und Verwendung",
            contactus: "Kontaktiere uns",
            aboutus: "Über uns",
            phone_number: "Telefonnummer",
            first_name: "Vorname",
            last_name: "Familienname, Nachname",
            email: "Email",
            message: "Nachricht",
            address: "Adresse",
            tryanothertime: "Versuchen Sie es in einer anderen Zeit",
            success_send: "Erfolgreicher Versand, wir werden Sie bald kontaktieren"
        },
        report: {
            what_happening: "Was ist los ?",
            labeling_problem: "Etikettierungsproblem",
            video_problem: "Videoproblem",
            sound_problem: "Tonproblem",
            caption_problem: "Untertitel Problem",
            more_details: "Mehr Nähere ?",
            send: "SENDEN",

        }
    },

    /* Hindi language
     *****************/
    in: {
        app_name: 'CinemaRex',

        nav: {
            logout: "लोग आउट"
        },
        home: {
            // Menu
            my_list: "मेरी सूची",
            home: "का पता लगाने",
            play: "प्ले",
            movies: "चलचित्र",
            series: "शृंखला",
            kids: "बच्चे",
            tv: "लाइव टीवी",
            browser: 'ब्राउज़र',
            collection: 'संग्रह',
            // Trending
            trending: "रुझान",
            year: "साल",
            rating: "रेटिंग",
            likes: "को यह पसंद है",
            recenlty_watched: 'हाल ही में देखा',
            // Genre
            genre: "शैली",
            all: "सब",
            action: "कार्य",
            adventure: "साहसिक",
            animation: "एनीमेशन",
            biography: "जीवनी",
            comedy: "कॉमेडी",
            crime: "अपराध",
            documentary: "दस्तावेज़ी",
            drama: "नाटक",
            family: "परिवार",
            fantasy: "कपोल कल्पित",
            history: "इतिहास",
            horror: "डरावनी",
            music: "संगीत",
            mystery: "रहस्य",
            romance: "रोमांस",
            sci_fi: "विज्ञान-कथा",
            sport: "खेल",
            thriller: "थ्रिलर",
            war: "युद्ध",
            sorry_no_result: "क्षमा करें कोई परिणाम नहीं मिला",
            search: "खोज",
            filmography: "फिल्मोग्राफी"
        },
        setting: {
            user_setting: "उपयोगकर्ता सेटिंग",
            biling: "बिलिंग",
            app_setting: "ऐप सेटिंग",
            language: "भाषा",
            profile: "प्रोफ़ाइल",
            security: "सुरक्षा",
            update_payment: "भुगतान को अपडेट करें",
            billing_details: "बिलिंग विवरण",
            change_plan: "योजना बदलें",
            viewing_history: "इतिहास देखना",
            description: "विवरण",
            next_plan: "अगले महीने की योजना",
            start_period: "प्रारंभ अवधि",
            end_period: "समाप्ति अवधि",
            total: "कुल",
            update_profile_picture: "प्रोफाइल चित्र अपडेट करें",
            name: "नाम",
            mail: "ईमेल",
            successful_update: "सफल अपडेट",
            update: "अद्यतन",
            current: "वर्तमान",
            password: "पासवर्ड",
            password_confirm: "पासवर्ड की पुष्टि",
            credit_card_or_debit: "क्रेडिट कार्ड या डेबिट",
            cancel_your_memebrship: "अपने memebrhip रद्द करें",
            resume_your_memebrship: "अपनी यादें फिर से शुरू करें",
            cancel_memebrship: "सदस्यता रद्द करें",
            resume_memebrship: "मेमिब्रिज फिर से शुरू करें",
            cancel_note: "रद्दीकरण आपके वर्तमान बिलिंग के अंत में प्रभावी होगा",
            change_streaming_plan: "स्ट्रीमिंग प्लान बदलें",
            monthly: "महीने के",
            first_week_free: "पहला सप्ताह मुफ्त",
            annual: "वार्षिक",
            mo: "महीना",
            y: "साल",
            m_price: "15.99",
            y_price: "59.99",
            select_language: "भाषा चुनिए",
            adjust_subtitles: "कैप्शन समायोजित करें", //new
            email_already: "ईमेल पहले से ही लिया जा चुका है", // new
            watch_date: "खने की तिथि",

            support: "इनबॉक्स का समर्थन करें",
            submit_request: 'अनुरोध प्रस्तुत करें',
            submit: 'जमा करें',
            cancel: 'रद्द करना',
            open: 'खुला',
            close: 'बंद करे',
            status: 'स्थिति',
            subject: 'विषय',
            date: 'तारीख',
            support_desc: 'विस्तृत विवरण प्रदान करें',
            support_tell: 'हमें बताएं कि आपकी जांच क्या है',
            reply: 'उत्तर भेजें',
            device_activity: 'डिवाइस गतिविधि',
            security_message_header: "अपना पासवर्ड दोबारा दर्ज करें",
            security_message_body: "आपकी सुरक्षा के लिए, आपको जारी रखने के लिए अपना पासवर्ड दोबारा दर्ज करना होगा",
            font_size: "फ़ॉन्ट आकार",
            font_weight: "फ़ॉन्ट वजन",
            font_color: "लिपि का रंग",
            font_backgrond: "पीछे का रंग"
        },

        register: {
            login: "लॉग इन करें",
            signup: "साइन अप करें",
            forget_password: "पासवर्ड भूल गए ?",
            create_accont: "खाता नहीं है?",
            agree_role: "साइन अप पर क्लिक करके, आप सहमत हैं",
            and: "तथा",
            stepone: "बस एक कदम!",
            steptwo: "बस दो और कदम और आप कर रहे हैं!",
            payment: "भुगतान",
            payment_message: "अपना भुगतान सेट करें",
            support: "समर्थन",
            choose_plan: "योजना चुनें",
            change_plan: "योजना बदलें",
            choose_plan_message: "एक योजना चुनें जो आपके लिए सही है",
            cancel_anytime: "कोई प्रतिबद्धता नहीं, किसी भी समय ऑनलाइन रद्द करें",
            day_free: "दिन मुफ़्त",
            loading: "लोड हो रहा है",
            password_reset: "पासवर्ड रीसेट",
            password_message: "कृपया अपना ईमेल पता दर्ज करें, हम आपको अपना पासवर्ड रीसेट करने के लिए एक लिंक के साथ एक ईमेल भेजेंगे",
            password_help: "अगर आपको अभी भी मदद की ज़रूरत है, तो संपर्क करें",
            start_membership: "सदस्यता शुरू करें",
            finish: "समाप्त",
            continue: "जारी रहना",
            welcome_to: "आपका स्वागत है",
            your: "तुंहारे",
            message_one:   "सदस्यता, जो एक नि: शुल्क परीक्षण के साथ शुरू होता है",
            cancel_before: "पहले कभी भी रद्द करें",
            message_two: "और आपके खाते की सेटिंग में जाने और सदस्यता रद्द करने के लिए रद्द नहीं किया जाएगा",
            account_details: "आपका खाता विवरण",
            payment_info: "भुगतान की जानकारी",
            discover: "डिस्कवर",
            privacy: "एकांत",
            aboutus: "हमारे बारे में",
            contactus: "हमसे संपर्क करें"
        },

        show: {
            summary: "सारांश",
            edit: "संपादित करें",
            delete: "हटाना",
            season: "ऋतु ",
            cast: "देना",
            trailer: 'ट्रेलर',
            similar: 'समान',
            like: 'पसंद',
            no_series: 'जल्द आ रहा है',
            my_collection: 'मेरा संग्रह',
            soon: "शीघ्र",
        },
        footer: {
            privacy: "एकांत",
            terms: "शर्तें और उपयोग करें",
            contactus: "हमसे संपर्क करें",
            aboutus: "हमारे बारे में",
            phone_number: "फ़ोन नंबर",
            first_name: "पहला नाम",
            last_name: "अंतिम नाम",
            email: "ईमेल",
            message: "संदेश",
            address: "पता",
            tryanothertime: "किसी अन्य समय में प्रयास करें",
            success_send: "सफल भेजें, हम जल्द ही आपसे संपर्क करेंगे"
        },
        report: {
            what_happening: "क्या हो रहा है",
            labeling_problem: "लेबलिंग समस्या",
            video_problem: "वीडियो समस्या",
            sound_problem: "ध्वनि समस्या",
            caption_problem: "कैप्शन समस्या",
            more_details: "अधिक जानकारी ?",
            send: "भेजें",

        }
    },


    /* Spanish language
     *****************/
    es: {
        app_name: 'CinemaRex',

        nav: {
            logout: "Cerrar sesión"
        },
        home: {
            // Menu
            my_list: "Mi lista",
            home: "Descubrir", // Change
            play: "Jugar",
            movies: "Películas",
            series: "Serie",
            kids: "Niños",
            tv: "TV en vivo",
            browser: 'Navegador',
            collection: 'Colección',
            // Trending
            trending: "Tendencias",
            year: "Año",
            rating: "Clasificación",
            likes: "Gustos",
            recenlty_watched: 'Recientemente visto',
            // Genre
            genre: "Género", // new
            all: "Todas",
            action: "Acción",
            adventure: "Aventuras",
            animation: "Animación",
            biography: "Biografía",
            comedy: "Comedia",
            crime: "Crimen",
            documentary: "Documental",
            drama: "Drama",
            family: "Familia",
            fantasy: "Fantasía",
            history: "Historia",
            horror: "Horror",
            music: "Música",
            mystery: "Misterio",
            romance: "Romance",
            sci_fi: "Ciencia ficción",
            sport: "Deporte",
            thriller: "Novela de suspenso",
            war: "Guerra",
            sorry_no_result: "Lo sentimos, no se encontraron resultados",
            search: "Buscar",
            filmography: "Filmografía"
        },
        setting: {
            user_setting: "Ajustes de usuario",
            biling: "Facturación",
            app_setting: "Configuración de la aplicación",
            language: "Idioma",
            profile: "perfil",
            security: "Seguridad",
            update_payment: "Actualizar pago",
            billing_details: "Detalles de facturación",
            change_plan: "Cambio de plan",
            viewing_history: "Viendo el historial",
            description: "Descripción",
            next_plan: "Plan de los próximos meses",
            start_period: "Período de inicio",
            end_period: "Período final",
            total: "Total",
            update_profile_picture: "Actualizar foto de perfil",
            name: "Nombre",
            mail: "Email",
            successful_update: "Actualización exitosa",
            update: "Actualizar",
            current: "Corriente",
            password: "Contraseña",
            password_confirm: "Contraseña confirmada",
            credit_card_or_debit: "Tarjeta de crédito o débito",
            cancel_your_memebrship: "Cancele su membresía",
            resume_your_memebrship: "Reanuda tu membresía",
            cancel_memebrship: "Cancelar memebrship",
            resume_memebrship: "Reanudarme",
            cancel_note: "La cancelación será efectiva al final de su facturación actual",
            change_streaming_plan: "Cambiar el plan de transmisión",
            monthly: "Mensual",
            first_week_free: "Primera semana gratis",
            annual: "Anual",
            mo: "M",
            y: "A",
            m_price: "15.99",
            y_price: "59.99",
            select_language: "Seleccione el idioma",
            adjust_subtitles: "Ajustar leyendas", //new
            email_already: "El correo ya a sido recibido", // new
            watch_date: 'Date of view',

            support: "Bandeja de entrada de soporte",
            submit_request: 'Enviar peticion',
            submit: 'Enviar',
            cancel: 'Cancelar',
            open: 'Abierto',
            close: 'Cerca',
            status: 'Estado',
            subject: 'Tema',
            date: 'Fecha',
            support_desc: 'Proporcione una descripción detallada',
            support_tell: 'Cuéntanos cuál es tu consulta',
            reply: 'Enviar respuesta',
            device_activity: 'Actividad del dispositivo',
            security_message_header: "Por favor re ingrese su contraseña",
            security_message_body: "Para su seguridad, debe volver a ingresar su contraseña para continuar",
            font_size: "Font Size",
            font_weight: "Font Weight",
            font_color: "Font color",
            font_backgrond: "Background color"
        },

        register: {
            login: "Iniciar sesión",
            signup: "Regístrate",
            forget_password: "Contraseña olvidada ?",
            create_accont: "No tienes una cuenta?",
            agree_role: "Al hacer clic en Registrarse, aceptas",
            and: "y",
            stepone: "¡Solo un paso!",
            steptwo: "¡Solo dos pasos más y listo!",
            payment: "Pago",
            payment_message: "Configura tu pago",
            support: "Apoyo",
            choose_plan: "Elija Plan",
            change_plan: "Cambio de plan",
            choose_plan_message: "Elija un plan que sea adecuado para usted",
            cancel_anytime: "Sin compromisos, cancele en línea en cualquier momento",
            day_free: "Día libre",
            loading: "Cargando",
            password_reset: "Restablecimiento de contraseña",
            password_message: "Ingrese su dirección de correo electrónico. Le enviaremos un correo electrónico con un enlace para restablecer su contraseña.",
            password_help: "Si aún necesitas ayuda, contáctate",
            start_membership: "INICIAR MEMBRESÍA",
            finish: "Terminar",
            continue: "Continuar",
            welcome_to: "Bienvenido a",
            your: "Tu",
            message_one:   "membresía, que comienza con una prueba gratuita",
            cancel_before: "Cancelar en cualquier momento antes",
            message_two: "y no se le cobrará, para cancelar ir a la configuración de su cuenta y cancelar membresía",
            account_details: "detalles de su cuenta",
            payment_info: "Información del pago",
            discover: "Descubrir",
            privacy: "Intimidad",
            aboutus: "Sobre nosotros",
            contactus: "Contáctenos"
        },

        show: {
            summary: "Resumen",
            edit: "Editar",
            delete: "Borrar",
            season: "Temporada ",
            cast: "Emitir",
            trailer: 'Remolque', // new
            similar: 'Similar', // new
            like: 'Me gusta', // new
            no_series: 'Próximamente', //new
            my_collection: 'Mi colección',
            soon: "pronto",
        },
        footer: {
            privacy: "Intimidad",
            terms: "Términos y uso",
            contactus: "Contáctenos",
            aboutus: "Sobre nosotros",
            phone_number: "Número de teléfono",
            first_name: "Nombre de pila",
            last_name: "Apellido",
            email: "E-mail",
            message: "Mensaje",
            address: "dirección",
            tryanothertime: "Intenta en otro momento",
            success_send: "Envío exitoso, nos contactaremos pronto"
        },
        report: {
            what_happening: "Que está pasando",
            labeling_problem: "Problema de etiquetado",
            video_problem: "Problema de video",
            sound_problem: "Problema de sonido",
            caption_problem: "Problema de subtítulos",
            more_details: "Más detalles ?",
            send: "ENVIAR",

        }
    },

    /* Swedish language
     *****************/
    sw: {
        app_name: 'CinemaRex',
        nav: {
            logout: "Logga ut"
        },
        home: {
            // Menu
            my_list: "Min lista",
            home: "UPPTÄCK",
            play: "Spela",
            movies: "FILMER",
            series: "SERIER",
            kids: "BARN",
            tv: "LIVE TV",
            browser: 'Bläddra',
            collection: 'MIN SAMLING',
            // Trending
            trending: "Trending",
            year: "Årtal",
            rating: "Betyg",
            likes: "Gillar",
            recenlty_watched: 'Nyligen tittade på',
            // Genre
            genre: "Genré",
            all: "Alla",
            action: "Action",
            adventure: "Äventyr",
            animation: "Animation",
            biography: "Biografi",
            comedy: "Komedi",
            crime: "Kriminal",
            documentary: "Dokumentär",
            drama: "Drama",
            family: "Familj",
            fantasy: "Fantasi",
            history: "Historia",
            horror: "Skräck",
            music: "Musik",
            mystery: "Mysterium",
            romance: "Romantik",
            sci_fi: "Sci-Fi",
            sport: "Sport",
            thriller: "Thriller",
            war: "Krig",
            sorry_no_result: "TYVÄRR, INGA RESULTAT HITTADES",
            search: "Sök",
            filmography: "Filmografi"
        },
        setting: {
            user_setting: "Användarinställningar",
            biling: "Fakturering",
            app_setting: "Appinställningar",
            language: "Språk",
            profile: "Profil",
            security: "Säkerhet",
            update_payment: "Uppdatera betalning",
            billing_details: "Faktureringsdetaljer",
            change_plan: "Ändra plan",
            viewing_history: "Visningshistorik",
            description: "Beskrivning",
            next_plan: "Next months plan",
            start_period: "Startperiod",
            end_period: "Slutperiod",
            total: "Total",
            update_profile_picture: "Uppdatera profilbild",
            name: "Namn",
            mail: "E-postadress",
            successful_update: "Uppdaterat",
            update: "Uppdatera",
            current: "Nuvarande",
            password: "Lösenord",
            password_confirm: "Repetera lösenord",
            credit_card_or_debit: "Konto & Kredit-kort",
            cancel_your_memebrship: "Avbryt ditt melemsskap",
            resume_your_memebrship: "Återupta ditt medlemsskap",
            cancel_memebrship: "Avbryt medlemsskap",
            resume_memebrship: "Återupta medlemsskap",
            cancel_note: "Vid avbrytning av medlemsskaå så kommer det ske i slutet av din nuvarande fakturering",
            change_streaming_plan: "Ändra plan",
            monthly: "Månadsvis",
            first_week_free: "Första veckan gratis",
            annual: "Årlig",
            mo: "mån",
            y: "år",
            m_price: "15.99",
            y_price: "59.99",
            select_language: "Välj språk",
            adjust_subtitles: "Justera undertexter",
            email_already: "E-postadressen existerar redan",
            watch_date: 'Visningsdatum',
            support: "Support Inkorg",
            submit_request: "Skicka förfrågan",
            submit: 'OK',
            cancel: 'Cancel',
            open: 'Öppen',
            close: 'Stängd',
            status: 'Status',
            subject: 'Ämne',
            date: 'Datum',
            support_desc: 'Ge en detaljerad beskrivning',
            support_tell: 'Berätta vad din förfrågan handlar om',
            reply: 'Skicka svar',
            device_activity: 'Enhetsaktivitet',
            security_message_header: "Vänligen skriv in ditt lösenord igen",
            security_message_body: "För din säkerhet måste du skriva in ditt lösenord för att fortsätta",
            font_size: "Textstorlek",
            font_weight: "Typsnitt vikt",
            font_color: "Fontfärg",
            font_backgrond: "Bakgrundsfärg"
        },

        register: {
            login: "Logga in",
            signup: "Bli Medlem",
            forget_password: "Glöm lösenord ?",
            create_accont: "Har du inget konto?",
            agree_role: "Genom att klicka på Registrera, godkänner du",
            and: "och",
            stepone: "Bara ett steg!",
            steptwo: "Bara två steg och du är klar!",
            payment: "Betalning",
            payment_message: "Ställ in din betalning",
            support: "Stöd",
            choose_plan: "Välj Plan",
            change_plan: "Ändra plan",
            choose_plan_message: "Välj en plan som passar dig",
            cancel_anytime: "Inga åtaganden, Avbryt online när som helst",
            day_free: "Dag gratis",
            loading: "Läser in",
            password_reset: "Lösenordsåterställning",
            password_message: "Vänligen ange din e-postadress, Vi skickar dig ett mail med en länk för att återställa ditt lösenord",
            password_help: "Om du fortfarande behöver hjälp, kontakta",
            start_membership: "START MEDLEMSKAP",
            finish: "Avsluta",
            continue: "Fortsätta",
            welcome_to: "Välkommen till",
            your: "Din",
            message_one:   "medlemskap, som börjar med en gratis provperiod",
            cancel_before: "Avbryt när som helst innan",
            message_two: "och debiteras inte, för att avbryta gå till din kontoinställning och Avbryt medlemsskap",
            account_details: "Dina kontouppgifter",
            payment_info: "Betalningsinformation",
            discover: "Upptäck",
            privacy: "Integritet",
            aboutus: "Om oss",
            contactus: "Kontakta oss"
        },

        show: {
            summary: "Sammanfattning",
            edit: "Redigera",
            delete: "Radera",
            season: "Säsong ",
            episode: "Avsnitt",
            cast: "Skådespelare",
            trailer: 'Trailer',
            similar: 'Liknande',
            like: 'Gilla',
            no_series: 'Kommer snart',
            my_collection: 'Min samling',
            soon: "snart",
        },
        footer: {
            privacy: "Integritet",
            terms: "Villkor och användning",
            contactus: "Kontakta oss",
            aboutus: "Om oss",
            phone_number: "Telefonnummer",
            first_name: "Förnamn",
            last_name: "Efternamn",
            email: "E-postadress",
            message: "Meddelande",
            address: "Adress",
            tryanothertime: "Försök igen senare",
            success_send: "Tack för ditt meddelande, vi kommer kontakta dig inom kort"
        },
        report: {
            what_happening: "Rapportera problem",
            labeling_problem: "Problem med information",
            video_problem: "Problem med video",
            sound_problem: "Problem med ljud",
            caption_problem: "Problem med undertexter",
            more_details: "Mer detaljer ?",
            send: "SKICKA",
        }
    },

    /* Arabic language
        *****************/
    ar: {
        app_name: 'CinemaRex',
        nav: {
            logout: "تسجيل خروج"
        },
        home: {
            // Menu
            my_list: "ألمفضلات",
            home: "تصفح",
            play: "شغل",
            movies: "الافلام",
            series: "المسلسلات",
            kids: "اطفال",
            tv: "قنوات التلفاز",
            browser: 'Browser',
            collection: 'المفضلات',
            // Trending
            trending: "شائع",
            year: "سنة",
            rating: "تقييم",
            likes: "أعجاب",
            recenlty_watched: 'اخر المشاهدات',
            // Genre
            genre: "النوع",
            all: "الكل",
            action: "اكشن",
            adventure: "مغامرات",
            animation: "انميشن",
            biography: "سيرة شخصية",
            comedy: "كوميدي",
            crime: "جريمة",
            documentary: "وثائقي",
            drama: "دراما",
            family: "أسرة",
            fantasy: "خيال",
            history: "التاريخ",
            horror: "رعب",
            music: "موسيقى",
            mystery: "الغموض",
            romance: "رومانسي",
            sci_fi: "الخيال العلمي",
            sport: "رياضة",
            thriller: "اثارة ",
            war: "حرب",
            sorry_no_result: "آسف لم يتم العثور على أي نتيجة",
            search: "بحث",
            filmography: "الأعمال"
        },
        setting: {
            user_setting: "إعدادات المستخدم",
            biling: "الفواتير",
            app_setting: "إعداد التطبيق",
            language: "حفظ",
            profile: "الملف الشخصي",
            security: "لحماية",
            update_payment: "تحديث الدفع",
            billing_details: "تفاصيل الفواتير",
            change_plan: "تغيير الخطة",
            viewing_history: "تاريخ المشاهدات",
            description: "وصف",
            next_plan: "خطة الأشهر المقبلة",
            start_period: "بداية الفترة",
            end_period: "نهاية الفترة",
            total: "تماما",
            update_profile_picture: "تحديث صورة الملف الشخصي",
            name: "اسم",
            mail: "البريد الإلكتروني ",
            successful_update: " نجخ التحديث ",
            update: "تحديث",
            current: "كلمة المرور الحالية",
            password: "كلمة المرور",
            password_confirm: "تأكيد كلمة المرور",
            credit_card_or_debit: "بطاقة الائتمان",
            cancel_your_memebrship: "إلغاء الاشتراك",
            resume_your_memebrship: "استئناف الاشتراك ",
            cancel_memebrship: "إلغاء الاشتراك",
            resume_memebrship: "استئناف الاشتراك",
            cancel_note: "سيكون الإلغاء ساريًا في نهاية الفوترة الحالية",
            change_streaming_plan: "تغيير خطة الجري",
            monthly: "شهريا",
            first_week_free: "الأسبوع الأول مجانا",
            select_language: " اللغة",
            adjust_subtitles: "ضبط خط الترجمة",
            email_already: "هذا الريد الاكتروني محجوز من قبل",
            watch_date: 'تاريخ المشاهدة',

            support: "ألدعم",
            submit_request: "تقديم الطلب",
            submit: 'ارسال',
            cancel: 'إلغاء',
            open: 'افتح',
            close: 'اغلق',
            status: 'الحالة',
            subject: 'الموضوع',
            date: 'التاريخ',
            support_desc: 'تقديم وصفا مفصلا',
            support_tell: 'أخبرنا عن سؤالكم',
            reply: 'إرسال الرد',

            device_activity: 'نشاط الحساب',
            security_message_header: "من فضلك أعد إدخال الرمز السري",
            security_message_body: "للحفاظ على أمانك ، يجب عليك إعادة إدخال كلمة المرور للمتابعة",
            font_size: "حجم الخط",
            font_weight: "وزن الخط",
            font_color: "لون الخط",
            font_backgrond: "لون الخلفية"
        },

        register: {
            login: "تسجيل الدخول",
            signup: "سجل",
            forget_password: "نسيت كلمة المرور؟",
            create_accont: "ليس لديك حساب؟",
            agree_role: "بالنقر فوق تسجيل ، فإنك توافق على",
            and: "و",
            stepone: "خطوة واحدة فقط!",
            steptwo: "مجرد خطوتين إضافيتين وقد انتهيت!",
            payment: "ادفع",
            payment_message: "قم بإعداد دفعتك",
            support: "الدعم",
            choose_plan: "اختر الاشتراك",
            change_plan: " غير الاشتراك",
            choose_plan_message: "اختر اشتراك مناسب لك",
            cancel_anytime: "لا التزامات ، إلغاء عبر الإنترنت في أي وقت",
            day_free: "يوم مجاني",
            loading: "جار التحميل",
            password_reset: "استرجاع كلمة المرور",
            password_message: "يرجى إدخال عنوان البريد الإلكتروني الخاص بك ، سنرسل لك رسالة بريد إلكتروني تحتوي على رابط لإعادة تعيين كلمة المرور الخاصة بك",
            password_help: "إذا كنت لا تزال بحاجة إلى المساعدة ، فاتصل بـ",
            start_membership: "بدء العضوية",
            finish: "انتهى",
            continue: "استمر",
            welcome_to: "مرحبا بك في",
            your: "ك",
            message_one:   "عضوية ، والتي تبدأ مع نسخة تجريبية مجانية",
            cancel_before: "إلغاء في أي وقت من قبل",
            message_two: "لن يتم تحصيل رسوم منك ، ويمكنك إلغاء الاشتراك من إعدادت حسابك ",
            account_details: "تفاصيل حسابك",
            payment_info: "معلومات الدفع",
            discover: "تصفح",
            privacy: "الخصوصية",
            aboutus: "معلومات عنا",
            contactus: "اتصل بنا"
        },

        show: {
            summary: "ملخص",
            edit: "تصحيح",
            delete: "حذف",
            season: "الموسم ",
            episode: "حلقة",
            cast: "الممثلين",
            trailer: 'عرض مختصر لفيلم',
            similar: 'شاهد ايضا',
            like: 'اعجاب',
            no_series: 'قريبا',
            my_collection: ' اضف الى مجموعتي',
            soon: "قريبا",
        },
        footer: {
            privacy: "الخصوصية",
            terms: "شروط والاستخدام",
            contactus: "اتصل بنا",
            aboutus: "معلومات عنا",
            phone_number: "رقم الهاتف",
            first_name: "الاسم الاول",
            last_name: "الكنية",
            email: "البريد الإلكتروني",
            message: "رسالة",
            address: "العنوان",
            tryanothertime: "حاول في وقت آخر",
            success_send: "تم إلارسال ، سوف نتصل بك قريبا"
        },
        report: {
            what_happening: "ماذا حدث",
            labeling_problem: "مشكلة في الاسم",
            video_problem: "مشكلة في الفيديو",
            sound_problem: "مشكلة  في الصوت",
            caption_problem: "مشكلة في النرجمة",
            more_details: "المزيد من التفاصيل?",
            send: "إرسال",
        }
    },



    /* English language
     *****************/
    he: {
        app_name: 'CinemaRex',
        nav: {
            logout: "להתנתק"
        },
        home: {
            // Menu
            my_list: "הרשימה שלי",
            home: "לְגַלוֹת",
            play: "לְשַׂחֵק",
            movies: "סרטים",
            series: "מופעים",
            kids: "ילדים",
            tv: "שידור חי",
            browser: 'דפדפן',
            collection: 'הקולקציה שלי',
            // Trending
            trending: "מגמות",
            year: "שָׁנָה",
            rating: "דֵרוּג",
            likes: "אהבתי",
            recenlty_watched: 'נצפה לאחרונה',
            // Genre
            genre: "ז'ָאנר",
            all: "את כל",
            action: "פעולה",
            adventure: "הַרפַּתקָה",
            animation: "אנימציה",
            biography: "ביוגרפיה",
            comedy: "קוֹמֶדִיָה",
            crime: "פֶּשַׁע",
            documentary: "דוקומנטרי",
            drama: "דְרָמָה",
            family: "מִשׁפָּחָה",
            fantasy: "פנטזיה",
            history: "הִיסטוֹרִיָה",
            horror: "חֲרָדָה",
            music: "מוּסִיקָה",
            mystery: "מִסתוֹרִין",
            romance: "רומנטיקה",
            sci_fi: "Sci-Fi",
            sport: "ספּוֹרט",
            thriller: "מוֹתְחָן",
            war: "מִלחָמָה",
            sorry_no_result: "שום תוצאה לא צמחה",
            search: "לחפש",
            filmography: "פילמוגרפיה"
        },
        setting: {
            user_setting: "הגדרות משתמש",
            biling: "חיוב",
            app_setting: "הגדרת אפליקציה",
            language: "שפה",
            profile: "פּרוֹפִיל",
            security: "בִּטָחוֹן",
            update_payment: "עדכן את התשלום",
            billing_details: "פרטי תשלום",
            change_plan: "שנה את התוכנית",
            viewing_history: "היסטוריית הצפייה",
            description: "תיאור",
            next_plan: "תוכנית חודשים הבאה",
            start_period: "תקופת ההתחלה",
            end_period: "סוף תקופה",
            total: "סהכ",
            update_profile_picture: "עדכון תמונת פרופיל",
            name: "שֵׁם",
            mail: "אֶלֶקטרוֹנִי",
            successful_update: "עדכון מוצלח",
            update: "עדכון",
            current: "נוֹכְחִי",
            password: "סיסמה",
            password_confirm: "תכניס מחדש סיסמה",
            credit_card_or_debit: "כרטיס אשראי או חיוב",
            cancel_your_memebrship: "בטל את המנטליות שלך",
            resume_your_memebrship: "לחדש את הזכרון",
            cancel_memebrship: "ביטול",
            resume_memebrship: "Resume memebrship",
            cancel_note: "הביטול ייכנס לתוקף בסוף החיוב הנוכחי שלך",
            change_streaming_plan: "שינוי תוכנית הזרמת",
            monthly: "יַרחוֹן",
            first_week_free: "השבוע הראשון חינם",
            annual: "שנתי",
            mo: "mo",
            y: "y",
            m_price: "15.99",
            y_price: "59.99",
            select_language: "בחר שפה",
            adjust_subtitles: "התאמת כיתובים",
            email_already: 'דוא"ל כבר נלקח',
            watch_date: 'תאריך תצוגה',

            support: "תמיכה בתיבת הדואר הנכנס",
            submit_request: "שלח בקשה",
            submit: 'שלח',
            cancel: 'לְבַטֵל',
            open: 'לִפְתוֹחַ',
            close: 'לִסְגוֹר',
            status: 'סטָטוּס',
            subject: 'נושא',
            date: 'תַאֲרִיך',
            support_desc: 'ספק תיאור מפורט',
            support_tell: 'ספר לנו מה החקירה שלך',
            reply: 'שלח תגובה',

            device_activity: 'פעילות מכשיר',

            security_message_header: "אנא הכנס מחדש את סיסמתך",
            security_message_body: "עבור האבטחה שלך, עליך להזין מחדש את הסיסמה כדי להמשיך",
            font_size: "גודל גופן",
            font_weight: "משקל גופן",
            font_color: "צבע גופן",
            font_backgrond: "צבע רקע"

        },


        register: {
            login: "התחברות",
            signup: "הירשם",
            forget_password: "שכחת את הסיסמה?",
            create_accont: "אין לך חשבון?",
            agree_role: "על ידי לחיצה על 'הירשם', אתה מסכים",
            and:  'ו "',
            stepone: "רק צעד אחד!",
            steptwo: "רק שני צעדים נוספים וסיימת!",
            payment: "תַשְׁלוּם",
            payment_message: "הגדר את התשלום שלך",
            support: "תמיכה",
            choose_plan: "בחר תוכנית",
            change_plan: "שינוי תוכנית",
            choose_plan_message: "בחר תוכנית המתאימה לך",
            cancel_anytime: "אין התחייבויות, ביטול מקוון בכל עת",
            day_free: "יום חופשי",
            loading: "טוען",
            password_reset: "איפוס סיסמא",
            password_message: 'אנא הזן את כתובת הדוא"ל שלך, נשלח לך הודעת דוא"ל עם קישור לאיפוס הסיסמה שלך',
            password_help: "אם אתה עדיין זקוק לעזרה, צור קשר",
            start_membership: "התחל חבר",
            finish: "סִיוּם",
            continue: "לְהַמשִׁיך",
            welcome_to: "ברוך הבא ל",
            your: "שֶׁלְךָ",
            message_one:   "חברות, אשר מתחיל עם ניסיון ללא תשלום",
            cancel_before: "בטל בכל עת לפני כן",
            message_two: "ולא תחויב, לבטל את המעבר להגדרת החשבון שלך ולבטל חברות",
            account_details: "פרטי החשבון שלך",
            payment_info: "פרטי תשלום",
            discover: "לְגַלוֹת",
            privacy: "פְּרָטִיוּת",
            aboutus: "עלינו",
            contactus: "תיצור איתנו קשר"
        },

        show: {
            summary: "סיכום",
            edit: "לַעֲרוֹך",
            delete: "לִמְחוֹק",
            season: "עונה",
            episode: "פרק",
            cast: "ללהק",
            trailer: 'גְרוֹר',
            similar: 'דוֹמֶה',
            like: 'כמו',
            no_series: 'בקרוב',
            my_collection: 'האוסף שלי',
            soon: "בקרוב",
        },
        footer: {
            privacy: "פְּרָטִיוּת",
            terms: "תנאי שימוש ושימוש",
            contactus: "תיצור איתנו קשר",
            aboutus: "עלינו",
            phone_number: "מספר טלפון",
            first_name: "שם פרטי",
            last_name: "שם משפחה",
            email: "אֶלֶקטרוֹנִי",
            message: "הוֹדָעָה",
            address: "כתובת",
            tryanothertime: "נסה בפעם אחרת",
            success_send: "בהצלחה לשלוח, ניצור איתך קשר בקרוב"
        },
        report: {
            what_happening: "מה קורה",
            labeling_problem: "בעיית תיוג",
            video_problem: "בעיית וידאו",
            sound_problem: "בעיה",
            caption_problem: "בעיה כיתובים",
            more_details: "פרטים נוספים ?",
            send: "לִשְׁלוֹחַ",
        }
    },

    /* Japanese language
        *****************/
    ja: {
        app_name: 'CinemaRex',
        nav: {
            logout: "ログアウト"
        },
        home: {
            // Menu
            my_list: "マイリスト",
            home: "探す",
            play: "再生",
            movies: "映画",
            series: "テレビ番組",
            kids: "子ども向け",
            tv: "ライブ配信",
            browser: '参照',
            collection: 'マイコレクション',
            // Trending
            trending: "トレンド",
            year: "年",
            rating: "レーティング",
            likes: "いいね",
            recenlty_watched: '最近視聴',
            // Genre
            genre: "ジャンル",
            all: "全て",
            action: "アクション",
            adventure: "アドベンチャー",
            animation: "アニメ",
            biography: "紹介",
            comedy: "お笑い",
            crime: "サスペンス",
            documentary: "ドキュメンタリー",
            drama: "ドラマ",
            family: "家族に最適",
            fantasy: "ファンタジー",
            history: "歴史",
            horror: "ホラー",
            music: "音楽",
            mystery: "ミステリー",
            romance: "恋愛",
            sci_fi: "SF",
            sport: "スポーツ",
            thriller: "スリル",
            war: "戦争物",
            sorry_no_result: "申し訳ありません、該当する結果が見つかりませんでした",
            search: "検索",
            filmography: "解説"
        },
        setting: {
            user_setting: "ユーザー設定",
            biling: "お支払い",
            app_setting: "アプリ設定",
            language: "言語",
            profile: "プロフィール",
            security: "セキュリティ",
            update_payment: "お支払い情報を更新",
            billing_details: "お支払いの詳細",
            change_plan: "プランを変更",
            viewing_history: "履歴を閲覧",
            description: "説明",
            next_plan: "来月のプラン",
            start_period: "開始日",
            end_period: "終了日",
            total: "合計",
            update_profile_picture: "プロフィール写真を更新",
            name: "名前",
            mail: "メールアドレス",
            successful_update: "更新が完了しました",
            update: "更新",
            current: "現在のパスワード",
            password: "新しいパスワード",
            password_confirm: "新しいパスワード (確認) ",
            credit_card_or_debit: "クレジットカードまたはデビットカード",
            cancel_your_memebrship: "メンバーシップをキャンセル",
            resume_your_memebrship: "メンバーシップを再開",
            cancel_memebrship: "メンバーシップをキャンセル",
            resume_memebrship: "メンバーシップを再開",
            cancel_note: "キャンセルは現在の契約の最終日に適用されます",
            change_streaming_plan: "ストリーミングプランを変更",
            monthly: "月間",
            first_week_free: "最初の週は無料",
            annual: "年間",
            mo: "月",
            y: "年",
            m_price: "15.99",
            y_price: "59.99",
            select_language: "言語を変更",
            adjust_subtitles: "字幕を調整",
            email_already: "既に利用されているメールアドレスです",
            watch_date: '視聴日',

            support: "サポート 受信ボックス",
            submit_request: "リクエストを送信",
            submit: '送信',
            cancel: 'キャンセル',
            open: 'オープン',
            close: 'クローズ',
            status: '状態',
            subject: '件名',
            date: '日付',
            support_desc: '詳細をご入力ください',
            support_tell: 'ご希望の内容を教えてください: ',
            reply: '返信',

            device_activity: 'デバイスアクティビティ',

            security_message_header: "パスワードをもう一度入力してください",
            security_message_body: "セキュリティ保全のため、続行するにはもう一度パスワードを入力してください",
            font_size: "フォントサイズ",
            font_weight: "フォントの幅",
            font_color: "フォントの色",
            font_backgrond: "背景色"

        },

        register: {
            login: "ログイン",
            signup: "会員登録",
            forget_password: "パスワードを忘れてしまいましたか？",
            create_accont: "アカウントをお持ちではありませんか？",
            agree_role: "会員登録を行うと、お客様は次の事項に同意頂いたとみなします: ",
            and: "と",
            stepone: "あともう少しです！",
            steptwo: "あと2ステップほどで終了です！",
            payment: "お支払い",
            payment_message: "お客様のお支払いを設定します",
            support: "サポート",
            choose_plan: "プランを選択",
            change_plan: "プランを変更",
            choose_plan_message: "お客様にあったプランを選択してください",
            cancel_anytime: "最低契約期間なし、オンライン上でいつでも解約可能です",
            day_free: "日 無料",
            loading: "読み込み中",
            password_reset: "パスワードをリセット",
            password_message: "お客様のメールアドレスを入力してください、入力頂いたメールアドレス宛にパスワードリセット用のリンクが記載されたメールをお送り致します",
            password_help: "さらにヘルプが必要な場合はお問い合わせください",
            start_membership: "メンバーシップを開始",
            finish: "完了",
            continue: "続行",
            welcome_to: "ようこそ: ",
            your: "あなた ",
            message_one:   "無料トライアルからメンバーシップが始まります",
            cancel_before: "次の日より前にキャンセル可能です: ",
            message_two: "上記の期日より前に「アカウント設定」よりメンバーシップをキャンセルいただく事で、料金は発生致しません",
            account_details: "お客様のアカウントの詳細",
            payment_info: "お支払い情報",
            discover: "探す",
            privacy: "プライバシー",
            aboutus: "当社について",
            contactus: "お問い合わせ"

        },

        show: {
            summary: "サマリー",
            edit: "編集",
            delete: "削除",
            season: "シーズン ",
            episode: "エピソード",
            cast: "出演",
            trailer: '予告編',
            similar: '同様の作品',
            like: 'いいね',
            no_series: 'もうすぐ公開',
            my_collection: 'マイコレクション',
            soon: "まもなく",

        },
        footer: {
            privacy: "プライバシーポリシー",
            terms: "利用規約",
            contactus: "お問い合わせ",
            aboutus: "当社について",
            phone_number: "電話番号",
            first_name: "名",
            last_name: "姓",
            email: "メールアドレス",
            message: "本文",
            address: "住所",
            tryanothertime: "別の機会にお試しください",
            success_send: "お問い合わせを受け取りました、後ほどご連絡致します"
        },
        report: {
            what_happening: "何がおきていますか",
            labeling_problem: "記載の問題",
            video_problem: "映像の問題",
            sound_problem: "音の問題",
            caption_problem: "字幕の問題",
            more_details: "さらに詳しくお伺いしてもよろしいですか ?",
            send: "送信",
        }
    },

};
// Create VueI18n instance with options
export default new VueI18n({
    locale: "en", // set locale
    messages, // set locale messages
})
